import './LeagueTable.css'

import React from 'react'



class LeagueTable extends React.Component
{
    constructor()
    {
        super()
        // this.League = this.props.League;
        this.League = {//Leagues[0]
            "name":"Legendary League",
            "players":
            [
              {
                "name":"hc12",
                "points":10,
                "playedMatches":10
              },
              {
                "name":"DashPT5",
                "points":10,
                "playedMatches":10
              }
            ],
            "games":
            [
              {
                "_id":"String"
              },
              {
                "_id": "String"
              }
            ]
          }
    }
    tableHeaders()
    {
       return(
        <tr>
            <th>Player</th>
            <th>Points</th>
            <th>Played Matches</th>
        </tr>
       )
    }
    rows()
    {
       return this.League.players.map(({ name, points, playedMatches }) => {
            return <tr key={name} >
            <td>{name}</td>
            <td>{points}</td>
            <td>{playedMatches}</td>
          </tr>
          })
    }
    render()
    {
        return (
            <div className='tableContainer' >
                <h3>{this.League.name}</h3>
                <table>
                    {this.tableHeaders()}
                    {this.rows()}
                </table>
            </div>
        )
    }
}
export default LeagueTable